| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ProgressMeter Class Referenceabstract
Basic

is an interface where processes can report their progress. More...

`#include <progressmeter.h>`

Inheritance diagram for ProgressMeter:
[legend]

## Public Member Functions
virtual | ~ProgressMeter ()
virtual od_int64 | nrDone () const
virtual void | operator++ ()=0
virtual void | setFinished ()
virtual void | setMessage (const uiString &)
virtual void | setName (const char *)
virtual void | setNrDone (od_int64)
virtual void | setNrDoneText (const uiString &)
virtual void | setStarted ()
virtual void | setTotalNr (od_int64)
virtual void | skipProgress (bool yn)

## Detailed Description

is an interface where processes can report their progress.

<>

## Constructor & Destructor Documentation

## ◆ ~ProgressMeter()

virtual ProgressMeter::~ProgressMeter | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ nrDone()

virtual od_int64 ProgressMeter::nrDone | ( |  | ) | const
| inline virtual

Reimplemented in ProgressRecorder, TextStreamProgressMeter, and SimpleTextStreamProgressMeter.

## ◆ operator++()

virtual void ProgressMeter::operator++ | ( |  | ) |
| pure virtual

Implemented in ProgressRecorder, TextStreamProgressMeter, and SimpleTextStreamProgressMeter.

## ◆ setFinished()

virtual void ProgressMeter::setFinished | ( |  | ) |
| inline virtual

Reimplemented in ProgressRecorder, TextStreamProgressMeter, and SimpleTextStreamProgressMeter.

## ◆ setMessage()

virtual void ProgressMeter::setMessage | ( | const uiString & |  | ) |
| inline virtual

Reimplemented in ProgressRecorder, and TextStreamProgressMeter.

## ◆ setName()

virtual void ProgressMeter::setName | ( | const char * |  | ) |
| inline virtual

Reimplemented in ProgressRecorder, TextStreamProgressMeter, and SimpleTextStreamProgressMeter.

## ◆ setNrDone()

virtual void ProgressMeter::setNrDone | ( | od_int64 |  | ) |
| inline virtual

Reimplemented in ProgressRecorder, TextStreamProgressMeter, and SimpleTextStreamProgressMeter.

## ◆ setNrDoneText()

virtual void ProgressMeter::setNrDoneText | ( | const uiString & |  | ) |
| inline virtual

Reimplemented in ProgressRecorder.

## ◆ setStarted()

virtual void ProgressMeter::setStarted | ( |  | ) |
| inline virtual

Reimplemented in ProgressRecorder, TextStreamProgressMeter, and SimpleTextStreamProgressMeter.

## ◆ setTotalNr()

virtual void ProgressMeter::setTotalNr | ( | od_int64 |  | ) |
| inline virtual

Reimplemented in TextStreamProgressMeter, SimpleTextStreamProgressMeter, and ProgressRecorder.

## ◆ skipProgress()

virtual void ProgressMeter::skipProgress | ( | bool | yn | ) |
| inline virtual

Force to skip progress info.

Reimplemented in TextStreamProgressMeter, SimpleTextStreamProgressMeter, and ProgressRecorder.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025